# Wan 2.2 T2V Fast > A very fast and cheap PrunaAI optimized version of Wan 2.2 A14B text-to-video - **Provider**: replicate - **Model ID**: wan-video/wan-2.2-t2v-fast - **Category**: video_generation - **Credits**: 240 per request - **Pricing Type**: input_based ## API Endpoint Base URL: https://api.core.today/v1 ### Create Prediction POST /predictions ### Get Status GET /predictions/{job_id} ### Cancel DELETE /predictions/{job_id} ## Authentication Header: `X-API-Key: YOUR_API_KEY` ## Input Parameters - `num_frames` (integer, optional): Number of video frames. 81 frames give the best results (Default: `81`; Range: min: 81, max: 121) - `resolution` (string, optional): Resolution of video. 16:9 corresponds to 832x480px, and 9:16 is 480x832px (Default: `480p`; Options: `480p`, `720p`) - `frames_per_second` (integer, optional): Frames per second. Note that the pricing of this model is based on the video duration at 16 fps (Default: `16`; Range: min: 5, max: 30) - `disable_safety_checker` (boolean, optional): Disable safety checker for generated video. (Default: `False`) - `prompt` (string, **required**): Prompt for video generation - `lora_weights_transformer_2` (string, optional): Load LoRA weights for transformer_2. Supports arbitrary .safetensors URLs from the Internet. Can be different from transformer LoRA. - `lora_weights_transformer` (string, optional): Load LoRA weights for transformer. Supports arbitrary .safetensors URLs from the Internet (for example, 'https://huggingface.co/Viktor1717/scandinavian-interior-style1/resolve/main/my_first_flux_lora_v1.safetensors') - `interpolate_output` (boolean, optional): Interpolate the generated video to 30 FPS using ffmpeg (Default: `True`) - `sample_shift` (number, optional): Sample shift factor (Default: `12`; Range: min: 1, max: 20) - `seed` (integer, optional): Random seed. Leave blank for random - `lora_scale_transformer` (number, optional): Determines how strongly the transformer LoRA should be applied. (Default: `1`) - `aspect_ratio` (string, optional): Aspect ratio of video. 16:9 corresponds to 832x480px, and 9:16 is 480x832px (Default: `16:9`; Options: `16:9`, `9:16`) - `lora_scale_transformer_2` (number, optional): Determines how strongly the transformer_2 LoRA should be applied. (Default: `1`) - `go_fast` (boolean, optional): Go fast (Default: `True`) - `optimize_prompt` (boolean, optional): Translate prompt to Chinese before generation (Default: `False`) ## Example Request ```json { "model": "wan-video/wan-2.2-t2v-fast", "input": { "aspect_ratio": "16:9", "go_fast": true, "num_frames": 81, "frames_per_second": 16, "prompt": "A sports car is driving very fast along a beach at sunset", "resolution": "480p", "sample_shift": 12 } } ``` ## Response Format ```json { "job_id": "abc123", "status": "pending", "provider": "replicate", "model": "black-forest-labs/flux-schnell", "created_at": "2026-01-01T00:00:00Z", "result": null, "error": null } ``` Status values: `pending`, `processing`, `completed`, `failed`, `cancelled` ## Usage Flow 1. POST /predictions with model and input → receive job_id 2. Poll GET /predictions/{job_id} until status is `completed` or `failed` 3. Result contains output URL(s) or data ## Output Type url ## Tags wan, prunaai, video-generation, text-to-video, fast, budget ## Documentation https://replicate.com/wan-video/wan-2.2-t2v-fast